Opened 9 years ago

Closed 9 years ago

#37 closed defect (wontfix)

i2prouter crashes

Reported by: anonymous Owned by:
Priority: major Milestone:
Component: router/general Version:
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

2010/02/18 14:49:05 | Feb 18, 2010 1:49:05 PM org.mortbay.http.SocketListener? start
2010/02/18 14:49:05 | INFO: Started SocketListener? on 127.0.0.1:7658
2010/02/18 14:49:05 | Feb 18, 2010 1:49:05 PM org.mortbay.util.Container start
2010/02/18 14:49:05 | INFO: Started org.mortbay.jetty.Server@7b283052
2010/02/19 01:51:12 | #
2010/02/19 01:51:12 | # A fatal error has been detected by the Java Runtime Environment:
2010/02/19 01:51:12 | #
2010/02/19 01:51:12 | # SIGSEGV (0xb) at pc=0x00007fa9486ce63c, pid=24325, tid=140364741339408
2010/02/19 01:51:12 | #
2010/02/19 01:51:12 | # JRE version: 6.0_18-b07
2010/02/19 01:51:12 | # Java VM: Java HotSpot?™ 64-Bit Server VM (16.0-b13 mixed mode linux-amd64 )
2010/02/19 01:51:12 | # Problematic frame:
2010/02/19 01:51:12 | # V [libjvm.so+0x62263c]
2010/02/19 01:51:12 | #
2010/02/19 01:51:12 | # An error report file with more information is saved as:
2010/02/19 01:51:12 | # /home/user/i2p/hs_err_pid24325.log
2010/02/19 01:51:13 | #
2010/02/19 01:51:13 | # If you would like to submit a bug report, please visit:
2010/02/19 01:51:13 | # http://java.sun.com/webapps/bugreport/crash.jsp
2010/02/19 01:51:13 | #
2010/02/19 01:51:13 | JVM exited unexpectedly.
2010/02/19 01:51:27 | Launching a JVM…
2010/02/19 01:51:27 | Wrapper (Version 3.1.1) http://wrapper.tanukisoftware.org
2010/02/19 01:51:27 |
2010/02/19 01:51:28 | Starting I2P 0.7.11-0
2010/02/19 01:51:28 | ERROR: There appears to be another router already running!
2010/02/19 01:51:28 | Please make sure to shut down old instances before starting up
2010/02/19 01:51:28 | a new one. If you are positive that no other instance is running,
2010/02/19 01:51:28 | please delete the file /tmp/router.ping
2010/02/19 01:51:30 | ←- Wrapper Stopped
2010/02/19 08:25:00 | —> Wrapper Started as Daemon
2010/02/19 08:25:00 | Launching a JVM…
2010/02/19 08:25:00 | Wrapper (Version 3.1.1) http://wrapper.tanukisoftware.org
2010/02/19 08:25:00 |
2010/02/19 08:25:01 | Starting I2P 0.7.11-0

Subtickets

Change History (2)

comment:2 Changed 9 years ago by zzz

Resolution: wontfix
Status: newclosed

good (recent sun jvm) :
JRE version: 6.0_18-b07

bad (dying in the garbage collector):
Current thread (0x0000000040799800): GCTaskThread [stack: 0x00007fa5352dd000,0x00007fa5353de000] [id=5168]

Doesn't look like an i2p problem. Possibly bad memory (try memtest86 maybe?) or other hardware problem.

There's nothing we can do in i2p to make the GC die.

Note: See TracTickets for help on using tickets.